#pragma once
#include <opencv2/core/core.hpp>
#include <opencv2/highgui/highgui.hpp>
#include <iostream>

#include <Windows.h>

#include "Camera.h"
#include "FeatureExtractor.h"
#include "NeuralNetwork.h"

class Training
{
public:
	Training();
	~Training();

	void CreateTrainingSet();
	void LoadTrainingSet();
private:
	void read_directory(const string& name, vector<string> &v);
	void class_name(const string& name, string& classname);
};

